<template>
  <div>
    <el-empty :description="message" image="/static/warning.png">
      <el-button type="primary" @click="toLogin">重新获取微信授权</el-button>
    </el-empty>
  </div>
</template>

<script>
import { getParameterByName } from "@/utils/auth"
export default {
  name:'UnusualState',
  props:['message'],
  methods:{
    toLogin(){
      const name = getParameterByName("name")
      const back = getParameterByName("back")
      this.$router.push('/login?' + "name=" + name + "&back=" + back )
    }
  }
}
</script>
